Name:		ibus-sogoupycc
Summary:	Sogou Pinyin Cloud Client on ibus platform
Version:	0.2.5
Release:	%mkrel 20
Group:		System/Internationalization
License:	GPLv2
URL:		https://code.google.com/p/ibus-sogoupycc/
Source0:	http://ibus-sogoupycc.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		ibus-sogoupycc-0.2.5-default-use-sogoupy-schema.patch
Patch1:		ibus-sogoupycc-0.2.5-fix-dbus-build.patch
Patch2:		ibus-sogoupycc-0.2.5-fix-build-libnotify-0.7.patch
Patch3:		ibus-sogoupycc-0.2.5-link-thread.patch
Patch4:		ibus-sogoupycc-0.2.5-force-lua5.1.patch
Patch5:		ibus-sogoupycc-0.2.5-mga-nostrip.patch
BuildRequires:	pkgconfig(dbus-1) >= 1.2
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gthread-2.0) >= 2.22
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ibus-1.0) >= 1.2.0
BuildRequires:	pkgconfig(libnotify) >= 0.4
BuildRequires:	pkgconfig(lua-5.1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	cmake
Requires:	ibus >= 1.2.0
Requires:	lua5.1-socket
Requires:	lua5.1

%description
ibus-sogoupycc is an unofficial Sogou pinyin cloud client on the ibus platform.
Features:
* double pinyin support: currently only supports the UCDOS-style double pinyin
  scheme (slightly different from the MSPY scheme)
* no pre-edit: always choose the default (first) result
* non-blocking input: your input is not interrupted when waiting for
  server responses.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p0
%patch -P 2 -p1
%patch -P 3 -p0
%patch -P 4 -p0
%patch -P 5 -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_datadir}/ibus-sogoupycc
%{_datadir}/ibus/component/sogoupycc.xml


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.2.5-20.mga10
+ Revision: 2127675
- Rebuild for patchN deprecation

* Thu Mar 31 2022 umeabot <umeabot> 0.2.5-19.mga9
+ Revision: 1836240
- Mageia 9 Mass Rebuild

* Tue Mar 30 2021 wally <wally> 0.2.5-18.mga9
+ Revision: 1711989
- rebuild with updated lua 5.1

* Thu Feb 13 2020 daviddavid <daviddavid> 0.2.5-17.mga8
+ Revision: 1513783
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 26 2018 umeabot <umeabot> 0.2.5-16.mga7
+ Revision: 1305922
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 0.2.5-15.mga6
+ Revision: 960650
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.2.5-14.mga6
+ Revision: 895207
- add patch nostrip to stop stripping binary (fix empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-13.mga5
+ Revision: 738822
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.2.5-12.mga5
+ Revision: 725080
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-11.mga5
+ Revision: 680420
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.5-10.mga4
+ Revision: 505961
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-9.mga3
+ Revision: 354081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 23 2012 fwang <fwang> 0.2.5-8.mga3
+ Revision: 309415
- apply patch

* Tue Oct 23 2012 fwang <fwang> 0.2.5-7.mga3
+ Revision: 309384
- add patch
- requires lua5.1

* Tue Oct 23 2012 fwang <fwang> 0.2.5-6.mga3
+ Revision: 309379
- br lua5.1
- link thread
- cleanup spec
- use lua 5.1

* Sun Sep 25 2011 fwang <fwang> 0.2.5-6.mga2
+ Revision: 147640
- rebuild for new ibus

* Sun Jun 19 2011 ahmad <ahmad> 0.2.5-5.mga2
+ Revision: 109597
- Add a patch to fix build with libnotify-0.7

* Fri Mar 18 2011 tv <tv> 0.2.5-4.mga1
+ Revision: 73593
- imported package ibus-sogoupycc

